"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateCodeTest = void 0;
const config = require("../../config");
const errors_1 = require("../../errors");
async function validateCodeTest(options) {
    const featureFlag = 'snykCodeCli';
    const org = options.org || config.org;
    if (!options.code) {
        throw new errors_1.FeatureNotSupportedForOrgError(org);
    }
    // TODO: We would need to remove this once we fix circular import issue
    const { isFeatureFlagSupportedForOrg } = require('../../feature-flags');
    const isFeatureFlagRes = await isFeatureFlagSupportedForOrg(featureFlag, org);
    if (isFeatureFlagRes.code === 401 || isFeatureFlagRes.code === 403) {
        throw errors_1.AuthFailedError(isFeatureFlagRes.error, isFeatureFlagRes.code);
    }
    if (isFeatureFlagRes.userMessage) {
        throw new errors_1.FeatureNotSupportedForOrgError(org);
    }
}
exports.validateCodeTest = validateCodeTest;
//# sourceMappingURL=validate.js.map